See Stacksync in action with a solution architect. Book a demo ↗
Workspaces

Workspaces

List the members of a workspace

GET
/v1/workspaces/{workspace_id}/members

The people of the workspace with their role, and its groups with their members: the user_id and group_id an access grant names its principal by. Pending invitations are not members yet.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

Response Body

OK

application/json
  1. response
users*array<>
groups*array<>
List the members of a workspace
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/members'
{  "users": [    {      "user_id": 0,      "email": "<email>",      "firstname": "<firstname>",      "lastname": "<lastname>",      "role": "viewer"    }  ],  "groups": [    {      "group_id": "3f6c1d2e-8a4b-4c7d-9e21-5b6f7a8c9d01",      "name": "<name>",      "description": "<description>",      "member_user_ids": [        0      ]    }  ]}